summaryrefslogtreecommitdiff
path: root/client/scripts
diff options
context:
space:
mode:
authorFrancis Dupont <fdupont@isc.org>2007-11-30 21:28:29 +0000
committerFrancis Dupont <fdupont@isc.org>2007-11-30 21:28:29 +0000
commite102ecceb99b7764e8ac1f58308306596fc7f317 (patch)
treedeca395a3f689ff605e60895bc3c65f6c8c5f8c0 /client/scripts
parent1ac571730faecd522d883288bc24a49aa3eff205 (diff)
downloadisc-dhcp-e102ecceb99b7764e8ac1f58308306596fc7f317.tar.gz
fix IPv6 nits
Diffstat (limited to 'client/scripts')
-rwxr-xr-xclient/scripts/freebsd14
1 files changed, 7 insertions, 7 deletions
diff --git a/client/scripts/freebsd b/client/scripts/freebsd
index 05c41a97..988c9ef0 100755
--- a/client/scripts/freebsd
+++ b/client/scripts/freebsd
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $Id: freebsd,v 1.19 2007/06/06 22:57:32 each Exp $
+# $Id: freebsd,v 1.20 2007/11/30 21:28:29 fdupont Exp $
#
# $FreeBSD$
@@ -38,7 +38,7 @@ make_resolv_conf() {
# If there were no errors, attempt to mv the new file into place.
if [ $exit_status -eq 0 ]; then
( mv /etc/resolv.conf.dhclient /etc/resolv.conf )
- exit_status = $?
+ exit_status=$?
fi
if [ $exit_status -ne 0 ]; then
@@ -60,12 +60,12 @@ make_resolv_conf() {
break
fi
( echo nameserver ${nameserver} >> /etc/resolv.conf.dhclient6 )
- exit_status = $?
+ exit_status=$?
done
- if [ $exit_status -ne 0 ] ; then
+ if [ $exit_status -eq 0 ] ; then
( mv /etc/resolv.conf.dhclient6 /etc/resolv.conf )
- exit_status = $?
+ exit_status=$?
fi
if [ $exit_status -ne 0 ] ; then
@@ -302,7 +302,7 @@ if [ ${reason} = BOUND6 ] ; then
exit_with_hooks 2;
fi
- ifconfig ${interface} inet6 alias ${new_ip6_address}/${new_ip6_prefixlen}
+ ifconfig ${interface} inet6 ${new_ip6_address}/${new_ip6_prefixlen} alias
# Check for nameserver options.
make_resolv_conf
@@ -339,7 +339,7 @@ if [ ${reason} = EXPIRE6 -o ${reason} = RELEASE6 -o ${reason} = STOP6 ] ; then
exit_with_hooks 2;
fi
- ifconfig ${interface} inet6 -alias ${old_ip6_address}/${old_ip6_prefixlen}
+ ifconfig ${interface} inet6 ${old_ip6_address}/${old_ip6_prefixlen} -alias
exit_with_hooks 0
fi